%define pkg_name        BBCode-Parser
%define pkg_version     0.34
%define rpm_pkg_version 0.34
%define rpm_pkg_release 1.n0i.5

Summary:       Recursive descent BBCode parser
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/D/DL/DLKING/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(Module::Build)
%{!?_without_test:BuildRequires: perl(Test::More)}
%{!?_without_test:BuildRequires: perl(Carp)}
%{!?_without_test:BuildRequires: perl(HTML::Entities)}
%{!?_without_test:BuildRequires: perl(URI)}


%description
BBCode::Parser is a proper recursive parser for BBCode-formatted text.

BBCode is a simplified markup language used in several online forums and
bulletin boards. It originated with phpBB, and remains most popular among
applications written in PHP. Generally, users author their posts in BBCode,
and the forum converts it to a permitted subset of well-formed HTML.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
[ -f Makefile.PL ] || cat <<EOF > Makefile.PL
use Module::Build::Compat;
Module::Build::Compat->run_build_pl(args => \@ARGV);
Module::Build::Compat->write_makefile();
EOF


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes LICENSE README


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 0.34-1.n0i.5
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- version 0.34

* Sat Apr 15 2006 Marius Feraru <altblue@n0i.net> - 0.33-1.n0i.4
- version 0.33

* Fri Mar 03 2006 Marius Feraru <altblue@n0i.net> - 0.32-1.n0i.3
- version 0.32

* Thu Feb 02 2006 Marius Feraru <altblue@n0i.net> 0.23-1.n0i.2
- version 0.23

* Fri Sep 02 2005 Marius Feraru <altblue@n0i.net> 0.20-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.10
- rebuild on perl 5.8.7
